package org.openxma.dsl.reference.dto;

import java.io.Serializable;
import java.util.Date;
import org.openxma.dsl.reference.types.valueobject.ProductId;

public abstract class ProductImageViewGen implements Serializable {
	private static final long serialVersionUID = -1466006550;
	protected String oid;
	protected Date version;
	protected String name;
	protected String fileName;
	protected Integer sizeX;
	protected Integer sizeY;
	protected ProductId productOid;
	
	public String getOid() {
        return this.oid;
    }
	
	public void setOid(String oid) {
        this.oid=oid;
    }
	
	public Date getVersion() {
        return this.version;
    }
	
	public void setVersion(Date version) {
        this.version=version;
    }
	
	public String getName() {
        return this.name;
    }
	
	public void setName(String name) {
        this.name=name;
    }
	
	public String getFileName() {
        return this.fileName;
    }
	
	public void setFileName(String fileName) {
        this.fileName=fileName;
    }
	
	public Integer getSizeX() {
        return this.sizeX;
    }
	
	public void setSizeX(Integer sizeX) {
        this.sizeX=sizeX;
    }
	
	public Integer getSizeY() {
        return this.sizeY;
    }
	
	public void setSizeY(Integer sizeY) {
        this.sizeY=sizeY;
    }
	
	public ProductId getProductOid() {
        return this.productOid;
    }
	
	public void setProductOid(ProductId productOid) {
        this.productOid=productOid;
    }
	
    
    @Override
    public String toString() {
    	StringBuilder toStringBuilder = new StringBuilder("ProductImageView [");
        toStringBuilder.append("oid=").append(getOid()).append(",");
        toStringBuilder.append("version=").append(getVersion()).append(",");
        toStringBuilder.append("name=").append(getName()).append(",");
        toStringBuilder.append("fileName=").append(getFileName()).append(",");
        toStringBuilder.append("sizeX=").append(getSizeX()).append(",");
        toStringBuilder.append("sizeY=").append(getSizeY()).append(",");
        toStringBuilder.append("productOid=").append(getProductOid());
        return toStringBuilder.append("]").toString();
    }
}
