package org.openxma.dsl.reference.xma.order.client;

import org.eclipse.swt.widgets.Composite;

import at.spardat.xma.session.XMASessionClient;

/**
 * This class implements the client part of Order.
 * @author clay
 *
 */
public class Order extends OrderGen {

    /**
     * Initializes the Order. This method is called
     * by the XMA-Runtime.
     *
     * @param session the XMASession, this Order belongs to.
     */
    public Order(XMASessionClient session) {
        super (session);
        setMainPage(new OrderSearchForm(this));
    }

    /**
     * Invokes the Order. This method reads the
     * key-value-pairs of the input, shows the windows
     * of the Order and returns the output as
     * key-value-pairs. This method is called
     * by the XMA-Runtime.
     *
     * @param parentComposite a composite of the calling page. In most
     *     cases it will be a shell. It my be null.
     */
    public void invoke(Composite parentComposite) {
        //TODO implement invoke here! Change its content to what you need.
        super.invoke(parentComposite);
    }

}
